Page MenuHomePhabricator

Security Review of Office IT Internal Account Management Tool
Closed, DeclinedPublic

Description

Project Information

  • Name of tool/project: OIT Account Management Tool
  • Project home page: None
  • Name of team requesting review: Office IT
  • Primary contact: @bbogaert
  • Target date for deployment: 4/1/2018
  • Link to code repository / patchset: Can provide once task is private

Description of the tool/project

The tool is an Python FLASK application to manage Office IT LDAP accounts. It also incorporates Google OAuth for login.

Description of how the tool will be used at WMF

This tool will be used by Office IT to manage accounts. The tool will also allow staff to view their LDAP information and update their passwords in Office IT LDAP that are also used for VPN, WiFi and G-Suite. The tool also allows Office IT to administer mailman lists, and Wiki (office, meta, collab, foundation) accounts.

Dependencies

None

Has this project been reviewed before?

This project is currently being reviewed as https://phabricator.wikimedia.org/T156960 but we have completely rewritten it.

Working test environment

Can provide once this task is private.

Post-deployment

@bbogaert

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 21 2018, 12:59 AM
JBennett claimed this task.Mar 19 2018, 2:59 PM
sbassett triaged this task as Medium priority.Jul 9 2019, 8:56 PM
Jcross removed JBennett as the assignee of this task.Jan 8 2020, 7:57 PM
Jcross lowered the priority of this task from Medium to Low.
Jcross moved this task from In Progress to Back Orders on the Security Readiness Reviews board.
Jcross added a subscriber: JBennett.
Jcross closed this task as Declined.Jan 22 2020, 12:03 AM
Jcross added subscribers: bcampbell, Jcross.

Closing per email conversation with @bcampbell in OIT- this is an old ticket that no longer requires work from the Security-Team.

chasemp moved this task from Incoming to Our Part Is Done on the secscrum board.Mar 10 2020, 8:19 PM